#!/bin/sh
# Initialize database
#   usage: ./makedb.sh /your/traiss/db/directory

# the user account running traiss CGI process.
CGIUSER=cgi

# attempt to create top directory, exit if it fails.
mkdir $1 || exit 1;

# chdir to that directory.
cd $1

# mkdir recent
mkdir recent
chmod 2755 recent
chgrp $CGIUSER recent

# mkdir 00..ff
for i in `seq 0 255`; do
  d=`printf "%02x" "$i"`
  mkdir $d
  chmod 2755 $d
  chgrp $CGIUSER $d
done
